## cascading.flow.stream
Class Gate<Incoming,Outgoing>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Gate<Incoming,Outgoing>

Direct Known Subclasses:
  SpliceGate

    public abstract class Gate<Incoming,Outgoing>

extends Duct<Incoming,Outgoing>

Field Summary
`protected Duct[]` `allPrevious`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`Gate()`

Method Summary
`void` `bind(StreamGraph streamGraph)`
`protected Duct[]` `getAllPreviousFor(StreamGraph streamGraph)` the actual previous in this context, not necessarily the declared previous

Methods inherited from class cascading.flow.stream.Duct
`cleanup, complete, getNext, getNextFor, initialize, prepare, receive, receiveFirst, start, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allPrevious

    protected Duct[] allPrevious

Constructor Detail

### Gate

    public Gate()

Method Detail

### bind

    public void bind(StreamGraph streamGraph)

  Overrides:
    `bind` in class `Duct<Incoming,Outgoing>`

### getAllPreviousFor

    protected Duct[] getAllPreviousFor(StreamGraph streamGraph)

  the actual previous in this context, not necessarily the declared previous

  Parameters:
    `streamGraph` - of type StreamGraph
  Returns:
    of type Duct[]

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.